%plot_optimal plots the Ramsey optimal dynamics of public debt in the model developed in ``Is the Monetarist Arithmetic Unpleasant?''  by Martn Uribe. 
% Martn Uribe, November 2016. 

T=8; %time horizon of simulation, t=0:T

tau0 = 0.05; %initial primary fiscal deficit of 3 percent of GDP

HLD =   2.310490601866484;%half life of primary deficit in years, or tau_t = tau_0 exp(-0.3t).

 [b,is,pis,ms,tau0,trho,delta,w0,alfa,A,HLD,g,tau] = qf(HLD,tau0,T);

clf

[b,is,pis,ms,tau0,trho,delta,w0,alfa,A,HLD,g] = qf(HLD,tau0,T);

t = (0:T);

subplot(2,2,1)
plot(t,tau*100,'linewidth',4)
title('(a) Primary Fiscal Deficit, \tau_t')
xlabel('time in years')
ylabel('percent of GDP')

subplot(2,2,2)
plot(t,b*100,'linewidth',4)
title('(b) Debt, b_t')
xlabel('time in years')
ylabel('percent of GDP')

print -deps qf.eps


%print graph to eps file
print -deps qf.eps
